summaryrefslogtreecommitdiffhomepage
path: root/libs/sgi-luci/root/etc
diff options
context:
space:
mode:
Diffstat (limited to 'libs/sgi-luci/root/etc')
-rwxr-xr-xlibs/sgi-luci/root/etc/init.d/luci-httpd41
1 files changed, 41 insertions, 0 deletions
diff --git a/libs/sgi-luci/root/etc/init.d/luci-httpd b/libs/sgi-luci/root/etc/init.d/luci-httpd
new file mode 100755
index 0000000000..ce7914a389
--- /dev/null
+++ b/libs/sgi-luci/root/etc/init.d/luci-httpd
@@ -0,0 +1,41 @@
+#!/bin/sh /etc/rc.common
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/luci-httpd
+NAME=luci-httpd
+DESC="HTTP server"
+START=49
+
+test -x $DAEMON || exit 0
+
+set -e
+
+start() {
+ echo -n "Starting $DESC: $NAME"
+ start-stop-daemon -S -q -x $DAEMON
+ echo "."
+}
+
+stop() {
+ echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon -K -q -x $DAEMON
+ echo "."
+}
+
+restart() {
+ echo -n "Restarting $DESC: $NAME... "
+ start-stop-daemon -K -s HUP -q -x $DAEMON
+ echo "done."
+}
+
+reload() {
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ echo -n "Reloading $DESC configuration... "
+ start-stop-daemon -K -s 1 -q -x $DAEMON
+ echo "done."
+}